{% extends 'base.html.twig' %} {% block title %}Log in!{% endblock %}

{% block body %}

    <div class="col-lg-8 offset-lg-2 col-md-10 offset-md-1">
        <form method="post" class="mt-5">
            {% if error %}
                <div class="alert alert-danger text-center my-3">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}
            {% for messages in app.flashes('success') %}
                {% for message in messages %}
                    <div class="alert alert-success text-center" role="alert">{{ message }}</div>
                {% endfor %}
            {% endfor %}
            {% if app.user %}
                <div class="h4 text-center my-3">
                    <p class="alert-success w-50 mx-auto">You are already connected.</p><br />
                </div>
            {% else %}
                <div class="card bg-light shadow-lg my-3 p-0 col-md-6 offset-md-3" style="color:black;">
                    <h3 class="text-center card-header pl-0 pr-0">Sign in</h3>
                    <div class="card-body p-3">
                        <div class="card-text">
                            <div class="row pl-5 pr-5">
                                <div class="form-group col-12 pl-0">
                                    <label for="inputEmail">Email</label>
                                    
                                    <div>
                                        <input type="email" value="{{ last_username }}" id="inputEmail" name="email" required="required" placeholder="email" class="form-control" autofocus/>
                                    </div>
                                </div>
                            </div>
                            <div class="row pl-5 pr-5">
                                <div class="form-group col-12 pl-0">
                                    <label for="inputPassword">Password</label>
                                    
                                    <div>
                                        <input type="password" id="inputPassword" name="password" required="required" placeholder="password" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                            <div class="row pl-5 pr-5">
                                <div class="checkbox mb-3">
                                    <p>
                                        <label>
                                            <input type="checkbox" name="_remember_me" />
                                            <span>Remember me</span>
                                        </label>
                                    </p>
                                    <a href="{{ path('app_forgot_password_request')}}">Forgot Password ?</a>
                                </div>
                            </div>
                            <div class="row mt-4 mb-5 d-flex justify-content-center">
                                <button class="btn btn-info btn-lg" type="submit">sign in</button>
                            </div>
                        </div>
                    </div>
                </div>
            {% endif %}
        </form>
    </div>

{% endblock %}